import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class UseDll extends HttpServlet {
	
	public native int add(int a, int b);
	
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
				
		response.setContentType("text/html");
		PrintWriter out = response.getWriter();
		
		int sum = add(100, 200);
		
		out.println("<h3>Hello, the sum is "+ sum +"</h3>");
	}
	
	static {
		System.loadLibrary("Math");
	}
}